Debian Bug report logs - #384132
--save-after-login hardlinks aptcache contents in base.cow

version graph

Package: cowdancer; Maintainer for cowdancer is Junichi Uekawa <dancer@debian.org>; Source for cowdancer is src:cowdancer.

Reported by: Matti Lindell <mlind@cs.joensuu.fi>

Date: Tue, 22 Aug 2006 01:33:02 UTC

Severity: normal

Found in version cowdancer/0.20

Fixed in version cowdancer/0.24

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#384132; Package cowdancer. Full text and rfc822 format available.

Acknowledgement sent to Matti Lindell <mlind@cs.joensuu.fi>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value |wishlist| was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matti Lindell <mlind@cs.joensuu.fi>
To: submit@bugs.debian.org
Subject: --save-after-login hardlinks aptcache contents in base.cow
Date: Tue, 22 Aug 2006 04:29:07 +0300
Package: cowdancer
Version: 0.20
Severity: |wishlist|

cowbuilder --login --save-after-login seems to hardlink packages from /var/cache/pbuilder/aptcache
to base.cow's /var/cache/apt/archives. I'm not sure if it's a bug or not, but it would be nice that
only changes that user (or hooks) makes are persisted.

Next time --save-after-login is used, every package is reported to already exist in cow directory:
ln: creating hard link `/var/cache/pbuilder/build/cow.9165/var/cache/apt/archives/gob2_2.0.14-1ubuntu1_i386.deb' to `/var/cache/pbuilder/aptcache/gob2_2.0.14-1ubuntu1_i386.deb': File exists


Regards, 






Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#384132; Package cowdancer. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #10 received at 384132@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Matti Lindell <mlind@cs.joensuu.fi>, 384132@bugs.debian.org
Subject: Re: Bug#384132: --save-after-login hardlinks aptcache contents in base.cow
Date: Tue, 22 Aug 2006 22:48:43 +0900
Hi,

> cowbuilder --login --save-after-login seems to hardlink packages from /var/cache/pbuilder/aptcache
> to base.cow's /var/cache/apt/archives. I'm not sure if it's a bug or not, but it would be nice that
> only changes that user (or hooks) makes are persisted.

pbuilder will need to special-case 

	login
	update
	execute

for cowbuilder, and call 

	unloadhooks
	apt-get clean



regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matti Lindell <mlind@cs.joensuu.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 384132-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 384132-close@bugs.debian.org
Subject: Bug#384132: fixed in cowdancer 0.24
Date: Thu, 23 Nov 2006 06:17:02 +0000
Source: cowdancer
Source-Version: 0.24

We believe that the bug you reported is fixed in the latest version of
cowdancer, which is due to be installed in the Debian FTP archive:

cowdancer_0.24.dsc
  to pool/main/c/cowdancer/cowdancer_0.24.dsc
cowdancer_0.24.tar.gz
  to pool/main/c/cowdancer/cowdancer_0.24.tar.gz
cowdancer_0.24_amd64.deb
  to pool/main/c/cowdancer/cowdancer_0.24_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated cowdancer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 23 Nov 2006 15:00:59 +0900
Source: cowdancer
Binary: cowdancer
Architecture: source amd64
Version: 0.24
Distribution: unstable
Urgency: low
Maintainer: Junichi Uekawa <dancer@debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 cowdancer  - Copy-on-write directory tree utility.
Closes: 384132
Changes: 
 cowdancer (0.24) unstable; urgency=low
 .
   * testsuite update
   * Bug fix: "--save-after-login hardlinks aptcache contents in base.cow",
     thanks to Matti Lindell (Closes: #384132).
Files: 
 6594e8b639a26d4bfa8765bc87ac4fcd 495 utils optional cowdancer_0.24.dsc
 4bb3f13e214d0e56f67f93df386be58a 89233 utils optional cowdancer_0.24.tar.gz
 071fa2f788bc39cc11dab01eb63c879c 27220 utils optional cowdancer_0.24_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFZTl62Dd9TugeVcERAkYhAKCAtY32ZVdYyRQuCSNoOH9e20RBBwCffBji
p3RYErapzv8U7n1Vrbj6PCE=
=3qkT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:19:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.